> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/eksploatacja-aplikacji/webforms/konfiguracja/logowanie-logow-klienckich.md).

# Logowanie logów klienckich na serwerze

{% hint style="info" %}
Dostępność funkcjonalności zależy od licencji i może nie być dostępna we wszystkich wdrożeniach.
{% endhint %}

## Zapis logów klienckich w logu serwera

Funkcjonalność umożliwia logowanie logów klienckich z przeglądarki w logach sensytywnych serwera. Logi zostaną wysłane na serwer w momencie wystąpienia błędu w aplikacji klienckiej. Na serwer zostaną wysłane najnowsze logi od momentu wystąpienia błędu. Ich długość zostanie ograniczona zgodnie z ustaionym parametrem w konfiguracji.

## Konfiguracja

### Konfiguracja klienta

```
webforms.client.logging - włączenie funkcjonalności w aplikacji klienta
webforms.client.maxLength - maksymalny rozmiar logów wysyłany na serwer
```

### Konfiguracja serwera

```
webforms.server.features.clientLogEnabled - włączenie funkcjonalności w aplikacji serwera
webforms.server.securityValidation.services.clientLog.maxLength - maksymalny rozmiar logów otrzymanych przez serwer
webforms.server.securityValidation.services.clientLog.extraWhitelistCharacters - dodatkowe znaki specjalne akceptowane przez serwer
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/eksploatacja-aplikacji/webforms/konfiguracja/logowanie-logow-klienckich.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
